The new configure.ac with 0.10.0+dev dies with "package information is missing from configure script" when using './tools/release.sh configure'

Needed to add a '+' to the regex'es to fix it.

Thanks,

Rick

diff --git a/tools/release/helpers.sh b/tools/release/helpers.sh
index 47d5782a..0828ef80 100644
--- a/tools/release/helpers.sh
+++ b/tools/release/helpers.sh
@@ -6,10 +6,10 @@ die() {
 }

 package_info_load_name() {
- grep AC_INIT configure.ac | perl -ne 's/^.+\(\[([-\w]*)\],.+$/$1/ and print' + grep AC_INIT configure.ac | perl -ne 's/^.+\(\[([-\+\w]*)\],.+$/$1/ and print'
 }
 package_info_load_version() {
- grep AC_INIT configure.ac | perl -ne 's/^.+\[([-\w\.]*)\],$/$1/ and print' + grep AC_INIT configure.ac | perl -ne 's/^.+\[([-\+\w\.]*)\],$/$1/ and print'
 }

 package_info_load() {


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
OpenOCD-devel mailing list
OpenOCD-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/openocd-devel

Reply via email to